### Name: Pomic-package
### Title: Pattern Oriented Modeling Information Criterion for ABM/IBM
### Aliases: Pomic-package Pomic
### Keywords: misc utilities programming

### ** Examples

#example of field pattern distribution:        
fieldpattern<-rnorm(100,10,5)
#model results:
model1runs<- rnorm(100*5,10.5,6)
model2runs<- rnorm(100*5,9.5,2)
#POMIC measurements:
pomic(fieldpattern,model1runs,eps=10^-20,plotting=TRUE)
pomic(fieldpattern,model2runs,eps=10^-20,plotting=TRUE)
pomic.simple(fieldpattern,model2runs,eps=10^-20)
pomic.corrected(fieldpattern,model1runs,eps=10^-20)
pomic.corrected(fieldpattern,model2runs,eps=10^-20)

#An analysis with random POMIC scores:
dataset<-data.frame(P1=rep(1:5,each=5),P2=rep(seq(0,5,length=5),5),
                    pomics=runif(25)*20)
analyse.pomics(dataset,c(1,2),3)

#example for time series patterns:
timeserie<-runif(100)+1:100-(seq(1,10,length=100)^2)
model<-NULL
for(i in 1:100){  
  model<-cbind(model,runif(100)+1:100-(seq(1,10,length=100)^2.01)) 
}
pomic.timeseries(timeserie,model,eps=10^-20,fullmsd=TRUE,
                  plotting=TRUE,half_window_size=10,
                  check_whole=TRUE,check_diffs=TRUE)




